#include "Stab_config.h"

//Чтение значений с PZEM-004T
void ReadPZEM() { 
    float newVoltage = pzem.voltage();
    float newCurrent = pzem.current();
    uint16_t newPower = round(pzem.power());
    float newEnergy = pzem.energy();

    if (!isnan(newVoltage)) voltage = newVoltage;
    if (!isnan(newCurrent)) current = newCurrent;
    if (!isnan(newPower))   power = newPower;
    if (!isnan(newEnergy))  energy = newEnergy;
} 

void PZEMInit(){ 
 SSer.begin(9600, EspSoftwareSerial::SWSERIAL_8N1, PZEM_RX_PIN, PZEM_TX_PIN);
 //pzem.resetEnergy();
}
void PZEMLoop() {
  if (PzemEnClear) {
  pzem.resetEnergy();
  PzemEnClear=false; 
  //Serial.println("Сброшен счётчик.");
  } // Если надо сбрасываем счетчик энергии
 ReadPZEM();
 }